## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate tracing-core

Name:           rust-tracing-core
Version:        0.1.32
Release:        %autorelease
Summary:        Core primitives for application-level tracing

License:        MIT
URL:            https://crates.io/crates/tracing-core
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          tracing-core-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Core primitives for application-level tracing.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/src/spin/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+once_cell-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip a test that fails since Rust 1.52.1 but is not reproducible upstream
%cargo_test -- -- --skip field::test::value_sets_with_fields_from_other_callsites_are_empty
%endif

%changelog
* Sun Oct 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.32-1
- Update to version 0.1.32; Fixes RHBZ#2244137

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.31-1
- Update to version 0.1.31; Fixes RHBZ#2203334

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Oct 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.30-1
- Update to version 0.1.30; Fixes RHBZ#2132816

* Fri Jul 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.29-1
- Update to version 0.1.29; Fixes RHBZ#2112470

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.28-1
- Update to version 0.1.28; Fixes RHBZ#2094565

* Tue May 24 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.26-1
- Update to version 0.1.26; Fixes RHBZ#2071115

* Thu Mar 31 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.23-1
- Update to version 0.1.23; Fixes RHBZ#2062041

* Sat Feb 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.22-1
- Update to version 0.1.22; Fixes RHBZ#2050455

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.21-1
- Update to version 0.1.21; Fixes RHBZ#2009912

* Fri Oct 01 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.20-1
- Update to version 0.1.20; Fixes RHBZ#2003488

* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.19-1
- Update to version 0.1.19; Fixes RHBZ#1994824

* Fri Jul 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.18-3
- Skip test that fails since Rust 1.52.1 but is not reproducible upstream.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.18-1
- Update to version 0.1.18.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.1.17-1
- Update to version 0.1.17.

* Wed Sep 09 2020 Josh Stone <jistone@redhat.com> - 0.1.16-1
- Update to 0.1.16

* Tue Aug 25 2020 Josh Stone <jistone@redhat.com> - 0.1.15-1
- Update to 0.1.15

* Thu Jul 23 2020 Josh Stone <jistone@redhat.com> - 0.1.11-1
- Initial package

